//234567890123456789012345678901234567890123456789012345678901234567890123456789
//===========================================================================
//	File:	SamplePackets.h
//
//	This header file has the definitions for the packets that are exchanged
//	by the sample server/client add-on security code resources for Apple
//	Remote Access.  These packets are exchanged during the authentication
//	process.
//
//	Copyright  1992, 1993 Apple Computer Inc.
//	All rights reserved
//
//	Author:  Farzad Sarabi
//
//	Modification history:
//
//===========================================================================

#ifndef SAMPLE_PACKETS
#define SAMPLE_PACKETS 1


//===========================================================================
//	Macros
//===========================================================================



//===========================================================================
//	Types
//===========================================================================

// these are the packet types that are exchanged by the client and server
typedef enum
{
	kPktRequestPassword,	// sent from the server to display password dialog
							// on the client side
	kPktPasswordResponse,	// sent by the client to return the user password
	kPktCancel,				// sent by either side to make other side cancel
							// also sent to not allow the user in
	kPktAllow				// sent by the server to indicate the user was
							// authenticated
} TSamplePacketTypes;


typedef struct
{
	char			fpassword[ kSecurityMaxConfigData ];
} TPasswordResponse;


typedef struct
{
	char			fmsg[ 128 ];
} TCancelReason;


typedef struct
{
	TSamplePacketTypes		fpkt_type;		// this packet's type

	union
	{
		TPasswordResponse	fresponse;		// used for a password response
		TCancelReason		freason;		// used for a cancel packet
	} u;

} TSamplePacket;




#endif // SAMPLE_PACKETS